using System.Text.Json.Serialization;

namespace  DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 医疗工单
    /// </summary>
    public class FormMedicalInfo
    {
        /// <summary>
        /// 医院名称
        /// </summary>
        [JsonPropertyName("MEDICAL_NAME")]
        public string? MedicalName { get; set; }

        /// <summary>
        /// 医院地址
        /// </summary>
        [JsonPropertyName("MEDICAL_ADDR")]
        public string? MedicalAddr { get; set; }

        /// <summary>
        /// 科室
        /// </summary>
        [JsonPropertyName("DEPARTMENT")]
        public string? DepartMent { get; set; }

        /// <summary>
        /// 医生
        /// </summary>
        [JsonPropertyName("DOCTOR")]
        public string? Doctor { get; set; }

        /// <summary>
        /// 患者姓名
        /// </summary>
        [JsonPropertyName("PATIENTNAME")]
        public string? PatientName { get; set; }

        /// <summary>
        /// 就诊卡号
        /// </summary>
        [JsonPropertyName("CLINICCARDNUM")]
        public string? ClinicCardNum { get; set; }

        /// <summary>
        /// 患者身份证号
        /// </summary>
        [JsonPropertyName("CARDNUM")]
        public string? CardNum { get; set; }
    }
}
